import { OnInit } from '@angular/core';
import { AbstractAddComponent } from '../../../../shared/abstracts/add/abstract-add/abstract-add.component';
import { IObservation, IPatient } from '@ahryman40k/ts-fhir-types/lib/R4';
import { FormGroup } from '@angular/forms';
export declare const INPUTS: any[];
export declare class BioParamsAddComponent extends AbstractAddComponent<IObservation> implements OnInit {
    inputs: any[];
    patient: IPatient;
    constructor();
    ngOnInit(): void;
    save(inData: IObservation): void;
    bmiCalc(): void;
    resetForm(): FormGroup;
}
